#include <iostream>

using namespace std;

int main()
{
    int x,y;
    cin>>x;
    cin>>y;
    long int xy;
    int n=1;
    int c=0;
    int xx;
    int yy;
    while(x>0 && y>0){
        xx=x%10;
        yy=y%10;
        x=x/10;
        y=y/10;
        if(xx>yy){
            c+=n*xx;
        }
        else if(yy>xx){
            c+=n*yy;
        }
        else{
            c+=11*n*yy;
            n*=10;
        }
        n*=10;
    }
    c+=n*max(x,y);
    cout<<c<<endl;
    return 0;
}